Package twisted :: Package internet :: Module process

[show private | hide private]
[frames | no frames]

## Module twisted.internet.process

UNIX Process management.

Do NOT use this module directly - use reactor.spawnProcess() instead.

Maintainer: Itamar Shtull-Trauring<mailto:twisted@itamarst.org>

Classes
`Process` | An operating-system Process.
`ProcessError` | ProcessError
`ProcessWriter` | (Internal) Helper class to write to Process's stdin.
`PTYProcess` | An operating-system Process that uses PTY support.

Function Summary
| `initgroups(*args)`
| ``reapAllProcesses`(signum, frame)` Reap all registered processes.
| `registerReapProccessHandler(pid, process)`
| `unregisterReapProccessHandler(pid, process)`

Variable Summary
`ConnectionDone` | `CONNECTION_DONE`
`ConnectionLost` | `CONNECTION_LOST`
`dictionary` | `reapProcessHandlers`

Function Details

### reapAllProcesses(signum, frame)

Reap all registered processes.

This gets called on SIGCHILD.

Variable Details

### CONNECTION_DONE

  Type:
    `ConnectionDone`
  Value:

        <twisted.internet.error.ConnectionDone instance at 0x82b0e0c>

### CONNECTION_LOST

  Type:
    `ConnectionLost`
  Value:

        <twisted.internet.error.ConnectionLost instance at 0x833eb04>

### reapProcessHandlers

  Type:
    `dictionary`
  Value:

        {}

Generated by Epydoc 1.1 on Sat Feb 15 21:19:05 2003 | http://epydoc.sf.net